查询 Veo 视频任务
curl --request GET \
--url https://api.tikway.ai/v1/videos/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tikway.ai/v1/videos/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tikway.ai/v1/videos/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 1789108566,
"id": "9552de3d-171f-4cca-b492-7baa56523239",
"model": "veo-3.1-fast",
"prompt": "一只金毛犬在日落时分的海滩上奔跑,镜头平稳跟随,海风吹动毛发,画面呈现自然细腻的电影质感",
"status": "in_progress",
"usage": {
"video_seconds": 4
}
}Veo
查询 Veo 视频任务
GET
https://api.tikway.ai
/
v1
/
videos
/
{id}
查询 Veo 视频任务
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求头
路径参数
视频生成任务的唯一标识符。
响应
200 - application/json
GET /v1/videos/{id} 的响应参数。只有任务状态为 completed 时才返回 data。
视频任务创建时间,Unix 时间戳,单位为秒。
必填范围:
x >= 0示例:
1789108566
视频生成任务的唯一标识。
Minimum string length:
1示例:
"9552de3d-171f-4cca-b492-7baa56523239"
创建视频任务时使用的模型 ID。
Minimum string length:
1示例:
"bytedance/seedance-2.0-mini"
创建视频任务时提交的提示词。
示例:
"一只金毛犬在日落时分的海滩上奔跑,镜头平稳跟随,画面呈现自然细腻的电影质感"
任务状态。pending 表示等待处理;queue 表示排队中;in_progress 表示生成或平台处理进行中;completed 表示视频和 OSS 资源均已处理完成;failed 表示失败;cancelled 表示已取消;expired 表示已过期。
可用选项:
pending, queue, in_progress, completed, failed, cancelled, expired 示例:
"in_progress"